Issue #9 new

Plugin doesn't work with latest version of atmosphere

Jonathan Share
created an issue

I'm trying out Atmosphere for the first time now, and it seems like there have been a lot of bugfixes between 0.7.2 that the plugin depends on and 1.0.1 that is the latest version. I've attempted to override the atmosphere version to 1.0.1 in my BuildConfig.groovy but I'm unable to build the project, I get the following output.

/Users/jshare/.grails/2.1.1/projects/myproject/plugins/atmosphere-0.4.2.1/src/groovy/com/odelia/grails/plugins/atmosphere/GrailsHandler.groovy: 11: The class org.atmosphere.cpr.AtmosphereHandler refers to the class org.atmosphere.cpr.AtmosphereHandler and uses 2 parameters, but the referred class takes no parameters @ line 11, column 32. class GrailsHandler implements AtmosphereHandler<HttpServletRequest, HttpServletResponse> { ^

/Users/jshare/.grails/2.1.1/projects/myproject/plugins/atmosphere-0.4.2.1/src/groovy/com/odelia/grails/plugins/atmosphere/GrailsHandler.groovy: 21: The class org.atmosphere.cpr.AtmosphereResource refers to the class org.atmosphere.cpr.AtmosphereResource and uses 2 parameters, but the referred class takes no parameters @ line 21, column 17. void onRequest(AtmosphereResource<HttpServletRequest, HttpServletResponse> event) throws IOException { ^

/Users/jshare/.grails/2.1.1/projects/myproject/plugins/atmosphere-0.4.2.1/src/groovy/com/odelia/grails/plugins/atmosphere/GrailsHandler.groovy: 25: The class org.atmosphere.cpr.AtmosphereResourceEvent refers to the class org.atmosphere.cpr.AtmosphereResourceEvent and uses 2 parameters, but the referred class takes no parameters @ line 25, column 21. void onStateChange(AtmosphereResourceEvent<HttpServletRequest, HttpServletResponse> event) throws IOException {

Is this something that is likely to be supported "soon" or should I try and integrate atmosphere without the plugin?

Comments (0)

  1. Log in to comment